Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 442044 - <www-client/opera-12.10.1652 - multiple vulnerabilities (CVE-2012-{6461,6462,6463,6464,6465,6466,6467})
Summary: <www-client/opera-12.10.1652 - multiple vulnerabilities (CVE-2012-{6461,6462,...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://www.opera.com/docs/changelogs/...
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-06 14:41 UTC by Jeroen Roovers
Modified: 2014-06-19 11:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2012-11-06 14:41:47 UTC
- Fixed an issue that could cause Opera not to correctly check for certificate
   revocation; see our advisory[1]
 - Fixed an issue where CORS requests could incorrectly retrieve contents of
   cross origin pages; see our advisory[2]
 - Fixed an issue where data URIs could be used to facilitate Cross-Site
   Scripting; see our advisory[3]
 - Fixed a high severity issue, as reported by Gareth Heyes; details will be
   disclosed at a later date
 - Fixed an issue where specially crafted SVG images could allow execution of
   arbitrary code, as reported by Attila Suszter; see our advisory[4]
 - Fixed a moderate severity issue, as reported by the Google Security Group;
   details will be disclosed at a later date

[1] http://www.opera.com/support/kb/view/1029/
[2] http://www.opera.com/support/kb/view/1030/
[3] http://www.opera.com/support/kb/view/1031/
[4] http://www.opera.com/support/kb/view/1033/

Arch teams, please test and mark stable:
=www-client/opera-12.10.1652
Stable KEYWORDS : amd64 x86
Comment 1 Agostino Sarubbo gentoo-dev 2012-11-06 19:53:22 UTC
amd64 stable
Comment 2 Andreas Schürch gentoo-dev 2012-11-12 21:02:13 UTC
x86 stable, last arch!
Comment 3 Sean Amoss gentoo-dev Security 2012-11-13 00:46:29 UTC
Thanks, everyone.

New GLSA request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-01-02 19:08:55 UTC
CVE-2012-6467 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6467):
  Opera before 12.10 follows Internet shortcuts that are referenced by a (1)
  IMG element or (2) other inline element, which makes it easier for remote
  attackers to conduct phishing attacks via a crafted web site, as exploited
  in the wild in November 2012.

CVE-2012-6466 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6466):
  Opera before 12.10 does not properly handle incorrect size data in a WebP
  image, which allows remote attackers to obtain potentially sensitive
  information from process memory by using a crafted image as the fill pattern
  for a canvas.

CVE-2012-6465 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6465):
  Opera before 12.10 allows remote attackers to execute arbitrary code or
  cause a denial of service (application crash) via a malformed SVG image.

CVE-2012-6464 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6464):
  Cross-site scripting (XSS) vulnerability in Opera before 12.10 allows remote
  attackers to inject arbitrary web script or HTML via crafted JavaScript code
  that overrides methods of unspecified native objects in documents that have
  different origins.

CVE-2012-6463 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6463):
  Cross-site scripting (XSS) vulnerability in Opera before 12.10 allows remote
  attackers to inject arbitrary web script or HTML via vectors involving an
  unspecified sequence of loading of documents and loading of data: URLs.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2013-01-02 19:09:36 UTC
CVE-2012-6462 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6462):
  Opera before 12.10 does not properly implement the Cross-Origin Resource
  Sharing (CORS) specification, which allows remote attackers to bypass
  intended page-content restrictions via a crafted request.

CVE-2012-6461 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6461):
  The X.509 certificate-validation functionality in the https implementation
  in Opera before 12.10 allows remote attackers to trigger a false indication
  of successful revocation-status checking by causing a failure of a single
  checking service.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2014-06-15 00:47:57 UTC
This issue was resolved and addressed in
 GLSA 201406-14 at http://security.gentoo.org/glsa/glsa-201406-14.xml
by GLSA coordinator Chris Reffett (creffett).
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2014-06-19 11:49:45 UTC
This issue was resolved and addressed in
 GLSA 201406-14 at http://security.gentoo.org/glsa/glsa-201406-14.xml
by GLSA coordinator Chris Reffett (creffett).